Search found 4315 matches

Go to advanced search

by microelly2
Mon Aug 05, 2019 11:03 am
Forum: Open discussion
Topic: node editor - pyflow
Replies: 71
Views: 3645

Re: node editor - pyflow

goals:
a node to create individual treads for a stair - each object has special randomized geometry modifications
arrange the produced objects by a list of placements

the idea can be used to create tree group/forest or people, cars, houses in terrain.

phpBB [video]
by microelly2
Mon Aug 05, 2019 10:52 am
Forum: Forum in Deutsch
Topic: Natürliche Oberflächenstruktur (Schindeln)
Replies: 7
Views: 401

Re: Natürliche Oberflächenstruktur (Schindeln)

phpBB [video]
by microelly2
Wed Jul 31, 2019 8:11 am
Forum: Open discussion
Topic: node editor - pyflow
Replies: 71
Views: 3645

Re: node editor - pyflow

This is such an awesome thread. Thanks @microelly2 BTW, is your fork of pyflow python3 compatible ? I made a python3 test at the beginning of my work and it was at that time. at the moment I have only time to implement the main nodes, I will start testing on python3 and windows at the end of summer.
by microelly2
Tue Jul 30, 2019 6:36 pm
Forum: Forum in Deutsch
Topic: Natürliche Oberflächenstruktur (Schindeln)
Replies: 7
Views: 401

Re: Natürliche Oberflächenstruktur (Schindeln)

Das ist wieder mal ein interessantes Projekt. zunächst ein paar exakte Grundtypen von Schindeln erzeugen. Dann braucht man Modifier, welche auf die Grundtypen angewendet werden: a) Maße ändern - das sind Änderung der Datenpunkte b) echte Formänderungen: Ecken ausbrechen, Vogeldreck oder Flechten dra...
by microelly2
Tue Jul 30, 2019 6:18 pm
Forum: Help on using FreeCAD
Topic: How to project a curve onto a cylindrical surface?
Replies: 19
Views: 704

Re: How to project a curve onto a cylindrical surface?

Interesting to see how many solutions there are already.
by microelly2
Tue Jul 30, 2019 6:16 pm
Forum: Python scripting and macros
Topic: fast way to create a triangle
Replies: 4
Views: 205

Re: fast way to create a triangle

I compared in both cases the shapes # create a alpha simplex if it is small enough if max ([e.Length for e in tta+ttb+ttc+ttd])<lmax: bbtime=time.time() if 10: wire=Part.makePolygon([a,b,c,a]) colf += [Part.Face(wire)] wire=Part.makePolygon([a,b,d,a]) colf += [Part.Face(wire)] wire=Part.makePolygon(...
by microelly2
Tue Jul 30, 2019 5:55 pm
Forum: Open discussion
Topic: node editor - pyflow
Replies: 71
Views: 3645

Re: node editor - pyflow

Playing with primitives of Part.Geom2D on surfaces.
These are mapping of lines and circles from uv-space to the surface.
phpBB [video]
by microelly2
Tue Jul 30, 2019 11:43 am
Forum: Help on using FreeCAD
Topic: How to project a curve onto a cylindrical surface?
Replies: 19
Views: 704

Re: How to project a curve onto a cylindrical surface?

I still have a little bit to fight with the self connecting cylinder face but this is a use case of uv projection from pyflow too.
the same result.
cp_019.png
cp_019.png (141.53 KiB) Viewed 320 times
by microelly2
Tue Jul 30, 2019 11:12 am
Forum: Python scripting and macros
Topic: fast way to create a triangle
Replies: 4
Views: 205

Re: fast way to create a triangle

thank you, but it is still slower by factor 2 than bsplinesurface.
by microelly2
Tue Jul 30, 2019 11:00 am
Forum: Help on using FreeCAD
Topic: How to project a curve onto a cylindrical surface?
Replies: 19
Views: 704

Re: How to project a curve onto a cylindrical surface?

Maybe not exactly what you need but it does give you quite a lot of room to play with the parameters and get different results out of it... Note: - I have not made the final loft surface between the section and the reflectlines - I have scaled the clone only in X an Z directions (not Y) - with the ...

Go to advanced search